﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Net;
using System.IO;

namespace Channel9ReaderWeb
{
	[ServiceContract(Namespace = "")]
	[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
	public class RssGet
	{
		[OperationContract]
		public String GetFeed(string url)
		{
			var request = HttpWebRequest.Create(url);

			try
			{
				var response = request.GetResponse();
				return new StreamReader(response.GetResponseStream()).ReadToEnd();
			}
			catch
			{
				throw new Exception("Error occured while contacting host");
			}

			
		}

		// Add more operations here and mark them with [OperationContract]
	}
}
